%define rel 1

Name:           kf6-rpm-macros
Version: 6.3.0
Release:        %mkrel %{rel}
Summary:        Base install macros for KF 6
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.kf6
BuildArch:      noarch

Requires:       cmake
Requires:       mageia-release
Requires:       extra-cmake-modules >= %version
Requires:       git-core

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for KF 6.

%files
%{_rpmmacrodir}/macros.kf6

%install
install -d -m 755 %{buildroot}%{_rpmmacrodir}
install -p -m 644 %SOURCE0 %{buildroot}%{_rpmmacrodir}/macros.kf6

sed -e 's,VERSION,%{version},g' -i  %{buildroot}%{_rpmmacrodir}/macros.kf6


%changelog
* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070507
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063363
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056797
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044895
- New version 6.0.0
- New version 6.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037455
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029547
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025473
- New version 5.247.0
- New version 5.246.0

* Wed Nov 22 2023 daviddavid <daviddavid> 5.245.0-2.mga10
+ Revision: 2009207
- add git-core as required package

* Fri Nov 10 2023 daviddavid <daviddavid> 5.245.0-1.mga10
+ Revision: 2005531
- initial package kf6-rpm-macros

